"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.QuizzesSpinner = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _uiElements = require("@instructure/ui-elements");

var _uiA11y = require("@instructure/ui-a11y");

var _uiThemeable = require("@instructure/ui-themeable");

var _formatMessage = _interopRequireDefault(require("@instructure/quiz-i18n/lib/format-message"));

var _theme = _interopRequireDefault(require("./theme"));

var _dec, _class, _class2, _temp;

var styles = {
  componentId: 'ebGcj',
  template: function template(theme) {
    return "\n\n.ebGcj_gasz{align-items:center;display:inline-flex;flex:1 1 auto;height:100%;justify-content:center;min-height:500px;width:100%}\n\n:root .ebGcj_gasz,_:-ms-fullscreen{height:10rem}\n\n.ebGcj_bZBM .ebGcj_qrQc{flex:1 1 auto}\n\n.ebGcj_fBqo{font-size:".concat(theme.mainTextFontSize || 'inherit', "}");
  },
  'wrapper': 'ebGcj_gasz',
  'left': 'ebGcj_bZBM',
  'right': 'ebGcj_qrQc',
  'mainText': 'ebGcj_fBqo'
};
var QuizzesSpinner = (_dec = (0, _uiThemeable.themeable)(_theme.default, styles), _dec(_class = (_temp = _class2 =
/*#__PURE__*/
function (_Component) {
  (0, _inherits2.default)(QuizzesSpinner, _Component);

  function QuizzesSpinner() {
    (0, _classCallCheck2.default)(this, QuizzesSpinner);
    return (0, _possibleConstructorReturn2.default)(this, (0, _getPrototypeOf2.default)(QuizzesSpinner).apply(this, arguments));
  }

  (0, _createClass2.default)(QuizzesSpinner, [{
    key: "mainText",
    value: function mainText() {
      return this.props.mainText || (0, _formatMessage.default)('Loading...');
    }
  }, {
    key: "render",
    value: function render() {
      return _react.default.createElement("div", {
        className: styles.wrapper
      }, _react.default.createElement("div", {
        className: styles.left
      }, _react.default.createElement(_uiElements.Spinner, {
        renderTitle: this.mainText(),
        size: "large"
      })), _react.default.createElement("div", {
        className: styles.right
      }, _react.default.createElement(_uiA11y.PresentationContent, null, _react.default.createElement(_uiElements.Heading, {
        level: "h2",
        as: "h1"
      }, _react.default.createElement("div", {
        className: styles.mainText
      }, this.mainText())))));
    }
  }]);
  QuizzesSpinner.displayName = "QuizzesSpinner";
  return QuizzesSpinner;
}(_react.Component), _class2.propTypes = {
  mainText: _propTypes.default.string
}, _class2.defaultProps = {
  mainText: null
}, _temp)) || _class);
exports.QuizzesSpinner = QuizzesSpinner;
var _default = QuizzesSpinner;
exports.default = _default;