"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _quizCommon = require("@instructure/quiz-common");

var _default = function _default() {
  var state = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : (0, _immutable.fromJS)({});
  var action = arguments.length > 1 ? arguments[1] : void 0;

  switch (action.type) {
    case _quizCommon.ADD_ALERT:
      return state.set(action.payload.uuid, (0, _immutable.fromJS)(action.payload));

    case _quizCommon.REMOVE_ALERT:
      return state.delete(action.payload.uuid);

    default:
      return state;
  }
};

exports.default = _default;