"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _immutable = require("immutable");

var _quizCommon = require("@instructure/quiz-common");

var _default = function _default() {
  var state = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : (0, _immutable.Map)({});
  var action = arguments.length > 1 ? arguments[1] : void 0;

  switch (action.type) {
    case _quizCommon.CLEAR_ERRORS_SHOWING:
      return (0, _immutable.Map)();

    case _quizCommon.SHOW_ERROR:
      return state.set(action.payload.key, true);

    case _quizCommon.HIDE_ERROR:
      return state.set(action.payload.key, false);

    default:
      return state;
  }
};

exports.default = _default;